Bug 1388816 (CVE-2016-8866) - CVE-2016-8866 ImageMagick: Memory allocation failure in AcquireMagickMemory (incomplete fix for CVE-2016-8862)
Summary: CVE-2016-8866 ImageMagick: Memory allocation failure in AcquireMagickMemory (...
Status: CLOSED WONTFIX
Alias: CVE-2016-8866
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161020,repor...
Keywords: Security
Depends On: 1381145
Blocks: 1381146
TreeView+ depends on / blocked
 
Reported: 2016-10-26 08:44 UTC by Andrej Nemec
Modified: 2019-06-08 21:32 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-21 05:25:01 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-26 08:44:14 UTC
It was discovered that the upstream fix for this issue was not complete. There is still a memory allocation failure in memory.c

References:

http://seclists.org/oss-sec/2016/q4/197
https://blogs.gentoo.org/ago/2016/10/20/imagemagick-memory-allocation-failure-in-acquiremagickmemory-memory-c-incomplete-fix-for-cve-2016-8862/

Comment 1 Andrej Nemec 2016-10-26 08:47:47 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1381145]

Comment 2 Huzaifa S. Sidhpurwala 2017-01-20 08:44:16 UTC
Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/ab2c9d6a8dd6d71b161ec9cc57a588b116b52322

Analysis:

Basically lowers map_length from 32 (fix for CVE-2016-8862) to the new value 22. Even without the previous fix, this flaw affects ImageMagick shipped with Red Hat Enterprise Linux, hence marking as affected.


Note You need to log in before you can comment on or make changes to this bug.